LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Calculate
User Name
Password
Calculate This forum is for the discussion of Calculate Linux.

Notices


Reply
  Search this Thread
Old 09-08-2014, 02:51 PM   #1
browser
Member
 
Registered: Aug 2004
Location: Australia,NSW
Distribution: CalculateLinux, FreeBSD, Makulu, Voyager, Bayanihan Linux
Posts: 269

Rep: Reputation: 30
A bit worried about outCome of emerge -ca


I have upgraded to the new CLD-14 edition & I noticed when using "emerge -ca" after last upgrade that it has many pkgs it wants to delete & most of them are perl related.I dont recall seeing a list like this & am wondering if its because Perl was upgraded as it seems strange that my system would need to remove so many perl pkgs all of a sudden & are module related as well & would appreciate any insight into wether its OK or not.
Would it be better to run Perl-Cleaner, I want to look to see if there are pkgs that have replaced them before deleting etc...

Calculating dependencies... done!
>>> Calculating removal order...

>>> These are the packages that would be unmerged:

perl-core/CPAN-Meta-Requirements
selected: 2.122.0
protected: none
omitted: none

perl-core/Compress-Raw-Zlib
selected: 2.60.0
protected: none
omitted: none

dev-libs/libcdio-paranoia
selected: 0.90_p1-r1
protected: none
omitted: none

dev-lang/python-exec
selected: 0.3.1-r1
protected: none
omitted: 2.0.1-r1

perl-core/Scalar-List-Utils
selected: 1.270.0
protected: none
omitted: none

perl-core/Time-Local
selected: 1.230.0
protected: none
omitted: none

perl-core/File-Spec
selected: 3.400.0
protected: none
omitted: none

perl-core/IO-Compress
selected: 2.60.0
protected: none
omitted: none

perl-core/Compress-Raw-Bzip2
selected: 2.60.0
protected: none
omitted: none

perl-core/CPAN-Meta-YAML
selected: 0.8.0
protected: none
omitted: none

perl-core/Digest-MD5
selected: 2.520.0
protected: none
omitted: none

perl-core/Module-Load
selected: 0.240.0
protected: none
omitted: none

perl-core/Module-Metadata
selected: 1.0.11
protected: none
omitted: none

perl-core/Archive-Tar
selected: 1.900.0
protected: none
omitted: none

perl-core/Module-Build
selected: 0.400.300
protected: none
omitted: none

virtual/perl-ExtUtils-Command
selected: 1.170.0-r4
protected: none
omitted: none

perl-core/CPAN-Meta
selected: 2.120.921
protected: none
omitted: none

media-plugins/live
selected: 2012.01.07
protected: none
omitted: none

virtual/perl-ExtUtils-Manifest
selected: 1.610.0
protected: none
omitted: none

perl-core/Module-Load-Conditional
selected: 0.540.0
protected: none
omitted: none

perl-core/Sys-Syslog
selected: 0.320.0
protected: none
omitted: none

sys-apps/calculate-i18n
selected: 2.2.31
protected: none
omitted: 3.2.0-r3

perl-core/ExtUtils-ParseXS
selected: 3.180.0
protected: none
omitted: none

virtual/perl-ExtUtils-Install
selected: 1.540.0
protected: none
omitted: none

virtual/perl-Test-Harness
selected: 3.260.0
protected: none
omitted: none

virtual/perl-Module-Load
selected: 0.240.0-r1
protected: none
omitted: none

virtual/perl-CPAN-Meta
selected: 2.120.921-r1
protected: none
omitted: none

virtual/perl-ExtUtils-ParseXS
selected: 3.180.0-r1
protected: none
omitted: none

virtual/perl-Compress-Raw-Bzip2
selected: 2.60.0-r1
protected: none
omitted: none

virtual/perl-Module-CoreList
selected: 2.840.0
protected: none
omitted: none

perl-core/ExtUtils-Install
selected: 1.540.0
protected: none
omitted: none

perl-core/ExtUtils-Manifest
selected: 1.610.0
protected: none
omitted: none

virtual/perl-Test-Simple
selected: 0.980.0-r2
protected: none
omitted: none

virtual/perl-IO-Zlib
selected: 1.100.0-r4
protected: none
omitted: none

virtual/perl-CPAN-Meta-Requirements
selected: 2.122.0-r1
protected: none
omitted: none

virtual/perl-Package-Constants
selected: 0.20.0-r4
protected: none
omitted: none

virtual/perl-Archive-Tar
selected: 1.900.0-r1
protected: none
omitted: none

virtual/perl-ExtUtils-CBuilder
selected: 0.280.205
protected: none
omitted: none

virtual/perl-Module-Metadata
selected: 1.0.11-r1
protected: none
omitted: none

virtual/perl-Parse-CPAN-Meta
selected: 1.440.400
protected: none
omitted: none

virtual/perl-version
selected: 0.990.100
protected: none
omitted: none

perl-core/Test-Harness
selected: 3.260.0
protected: none
omitted: none

perl-core/Module-CoreList
selected: 2.840.0
protected: none
omitted: none

perl-core/ExtUtils-CBuilder
selected: 0.280.205
protected: none
omitted: none

perl-core/version
selected: 0.990.100
protected: none
omitted: none

perl-core/Parse-CPAN-Meta
selected: 1.440.400
protected: none
omitted: none

virtual/perl-IPC-Cmd
selected: 0.780.0
protected: none
omitted: none

virtual/perl-File-Temp
selected: 0.220.0-r3
protected: none
omitted: none

virtual/perl-Perl-OSType
selected: 1.2.0-r1
protected: none
omitted: none

virtual/perl-JSON-PP
selected: 2.272.0-r2
protected: none
omitted: none

virtual/perl-CPAN-Meta-YAML
selected: 0.8.0-r1
protected: none
omitted: none

perl-core/IPC-Cmd
selected: 0.780.0
protected: none
omitted: none

virtual/perl-Module-Load-Conditional
selected: 0.540.0-r1
protected: none
omitted: none

virtual/perl-Params-Check
selected: 0.360.0
protected: none
omitted: none

perl-core/Params-Check
selected: 0.360.0
protected: none
omitted: none

virtual/perl-Locale-Maketext-Simple
selected: 0.210.0-r4
protected: none
omitted: none

app-shells/gentoo-bashcomp
selected: 20121024
protected: none
omitted: none

app-shells/bash-completion
selected: 1.3-r2
protected: none
omitted: none

sys-apps/miscfiles
selected: 1.5-r1
protected: none
omitted: none

All selected packages: perl-core/Sys-Syslog-0.320.0 perl-core/Digest-MD5-2.520.0 virtual/perl-Perl-OSType-1.2.0-r1 perl-core/Scalar-List-Utils-1.270.0 virtual/perl-Module-Load-0.240.0-r1 virtual/perl-version-0.990.100 virtual/perl-ExtUtils-ParseXS-3.180.0-r1 virtual/perl-IO-Zlib-1.100.0-r4 virtual/perl-ExtUtils-Command-1.170.0-r4 perl-core/CPAN-Meta-Requirements-2.122.0 dev-lang/python-exec-0.3.1-r1 perl-core/ExtUtils-ParseXS-3.180.0 perl-core/Compress-Raw-Zlib-2.60.0 virtual/perl-Module-Metadata-1.0.11-r1 virtual/perl-ExtUtils-CBuilder-0.280.205 virtual/perl-Compress-Raw-Bzip2-2.60.0-r1 app-shells/gentoo-bashcomp-20121024 virtual/perl-Parse-CPAN-Meta-1.440.400 virtual/perl-JSON-PP-2.272.0-r2 virtual/perl-Module-CoreList-2.840.0 sys-apps/miscfiles-1.5-r1 perl-core/Module-Load-Conditional-0.540.0 virtual/perl-Package-Constants-0.20.0-r4 perl-core/ExtUtils-Install-1.540.0 perl-core/Compress-Raw-Bzip2-2.60.0 virtual/perl-CPAN-Meta-Requirements-2.122.0-r1 perl-core/Params-Check-0.360.0 perl-core/ExtUtils-CBuilder-0.280.205 media-plugins/live-2012.01.07 virtual/perl-Locale-Maketext-Simple-0.210.0-r4 virtual/perl-CPAN-Meta-2.120.921-r1 app-shells/bash-completion-1.3-r2 virtual/perl-ExtUtils-Install-1.540.0 perl-core/CPAN-Meta-YAML-0.8.0 perl-core/Time-Local-1.230.0 virtual/perl-File-Temp-0.220.0-r3 perl-core/CPAN-Meta-2.120.921 perl-core/Parse-CPAN-Meta-1.440.400 perl-core/Archive-Tar-1.900.0 perl-core/File-Spec-3.400.0 virtual/perl-Test-Harness-3.260.0 virtual/perl-IPC-Cmd-0.780.0 perl-core/Module-CoreList-2.840.0 perl-core/Module-Metadata-1.0.11 perl-core/Module-Build-0.400.300 virtual/perl-Params-Check-0.360.0 dev-libs/libcdio-paranoia-0.90_p1-r1 perl-core/ExtUtils-Manifest-1.610.0 perl-core/version-0.990.100 perl-core/IPC-Cmd-0.780.0 virtual/perl-Module-Load-Conditional-0.540.0-r1 virtual/perl-CPAN-Meta-YAML-0.8.0-r1 sys-apps/calculate-i18n-2.2.31 virtual/perl-Test-Simple-0.980.0-r2 virtual/perl-Archive-Tar-1.900.0-r1 perl-core/Module-Load-0.240.0 perl-core/IO-Compress-2.60.0 perl-core/Test-Harness-3.260.0 virtual/perl-ExtUtils-Manifest-1.610.0

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

Would you like to unmerge these packages? [Yes/No]

Last edited by browser; 09-09-2014 at 12:41 PM.
 
Old 09-10-2014, 12:54 PM   #2
browser
Member
 
Registered: Aug 2004
Location: Australia,NSW
Distribution: CalculateLinux, FreeBSD, Makulu, Voyager, Bayanihan Linux
Posts: 269

Original Poster
Rep: Reputation: 30
Question

I really was so close to following what emerge -ca wanted to do until I was reminded about perl-cleaner,& the reason I nearly did that was because I did not see any message from emerge about perl being upgraded.I also chose to follow what perl-cleaner advised after it complained about blockages & unmasking & it fixed up 40+ pkgs But now I have found emerge -ca still wants to delete a heap of perl pkgs still.
Does anyone know if I should remove all these pkgs.Would appreceate insight as they do not seem to be duplicates.

GENTOO-13-FILES # emerge -ca

Calculating dependencies... done!
>>> Calculating removal order...

>>> These are the packages that would be unmerged:

perl-core/Scalar-List-Utils
selected: 1.270.0
protected: none
omitted: none

perl-core/CPAN-Meta-Requirements
selected: 2.122.0-r1
protected: none
omitted: none

dev-libs/libcdio-paranoia
selected: 0.90_p1-r1
protected: none
omitted: none

dev-lang/python-exec
selected: 0.3.1-r1
protected: none
omitted: 2.0.1-r1

perl-core/Parse-CPAN-Meta
selected: 1.440.400-r1
protected: none
omitted: none

perl-core/Archive-Tar
selected: 1.900.0-r1
protected: none
omitted: none

perl-core/File-Spec
selected: 3.400.0
protected: none
omitted: none

perl-core/IO-Compress
selected: 2.60.0
protected: none
omitted: none

kde-base/kdepim-l10n
selected: 4.14.0
protected: none
omitted: none

perl-core/Compress-Raw-Zlib
selected: 2.60.0
protected: none
omitted: none

perl-core/Compress-Raw-Bzip2
selected: 2.60.0
protected: none
omitted: none

perl-core/Module-Load
selected: 0.240.0
protected: none
omitted: none

virtual/perl-ExtUtils-Command
selected: 1.170.0-r5
protected: none
omitted: none

perl-core/CPAN-Meta
selected: 2.120.921-r1
protected: none
omitted: none

perl-core/ExtUtils-ParseXS
selected: 3.180.0-r1
protected: none
omitted: none

perl-core/Digest-MD5
selected: 2.520.0-r1
protected: none
omitted: none

virtual/perl-Module-Load-Conditional
selected: 0.540.0-r1
protected: none
omitted: none

perl-core/CPAN-Meta-YAML
selected: 0.8.0-r1
protected: none
omitted: none

kde-base/kde-l10n
selected: 4.14.0
protected: none
omitted: none

perl-core/Sys-Syslog
selected: 0.320.0-r1
protected: none
omitted: none

media-plugins/live
selected: 2012.01.07
protected: none
omitted: none

perl-core/Test-Harness
selected: 3.260.0
protected: none
omitted: none

virtual/perl-ExtUtils-Manifest
selected: 1.630.0-r1
protected: none
omitted: none

perl-core/Params-Check
selected: 0.360.0-r1
protected: none
omitted: none

virtual/perl-ExtUtils-Install
selected: 1.590.0-r1
protected: none
omitted: none

perl-core/Module-Load-Conditional
selected: 0.540.0
protected: none
omitted: none

perl-core/Time-Local
selected: 1.230.0-r1
protected: none
omitted: none

virtual/perl-IPC-Cmd
selected: 0.800.0-r1
protected: none
omitted: none

sys-apps/calculate-i18n
selected: 2.2.31
protected: none
omitted: 3.2.0-r3

perl-core/Module-Build
selected: 0.400.300-r1
protected: none
omitted: none

perl-core/Module-Metadata
selected: 1.0.11-r1
protected: none
omitted: none

virtual/perl-Test-Harness
selected: 3.260.0-r2
protected: none
omitted: none

virtual/perl-Module-Load
selected: 0.240.0-r1
protected: none
omitted: none

virtual/perl-Package-Constants
selected: 0.20.0-r4
protected: none
omitted: none

virtual/perl-IO-Zlib
selected: 1.100.0-r4
protected: none
omitted: none

virtual/perl-Compress-Raw-Bzip2
selected: 2.60.0-r2
protected: none
omitted: none

virtual/perl-File-Temp
selected: 0.230.0
protected: none
omitted: none

virtual/perl-ExtUtils-ParseXS
selected: 3.180.0-r2
protected: none
omitted: none

virtual/perl-CPAN-Meta
selected: 2.120.921-r2
protected: none
omitted: none

virtual/perl-Test-Simple
selected: 0.980.0-r5
protected: none
omitted: none

virtual/perl-CPAN-Meta-Requirements
selected: 2.122.0-r2
protected: none
omitted: none

virtual/perl-Archive-Tar
selected: 1.900.0-r2
protected: none
omitted: none

virtual/perl-Params-Check
selected: 0.360.0-r1
protected: none
omitted: none

virtual/perl-Module-CoreList
selected: 3.30.0
protected: none
omitted: none

virtual/perl-Perl-OSType
selected: 1.3.0-r1
protected: none
omitted: none

virtual/perl-Parse-CPAN-Meta
selected: 1.440.400-r1
protected: none
omitted: none

virtual/perl-JSON-PP
selected: 2.272.20-r1
protected: none
omitted: none

virtual/perl-ExtUtils-CBuilder
selected: 0.280.210-r1
protected: none
omitted: none

virtual/perl-Locale-Maketext-Simple
selected: 0.210.0-r4
protected: none
omitted: none

virtual/perl-Module-Metadata
selected: 1.0.11-r1
protected: none
omitted: none

virtual/perl-CPAN-Meta-YAML
selected: 0.8.0-r2
protected: none
omitted: none

virtual/perl-version
selected: 0.990.200-r1
protected: none
omitted: none

app-shells/gentoo-bashcomp
selected: 20121024
protected: none
omitted: none

app-shells/bash-completion
selected: 1.3-r2
protected: none
omitted: none

sys-apps/miscfiles
selected: 1.5-r1
protected: none
omitted: none

All selected packages: perl-core/Time-Local-1.230.0-r1 virtual/perl-ExtUtils-Manifest-1.630.0-r1 virtual/perl-Params-Check-0.360.0-r1 virtual/perl-Module-Load-0.240.0-r1 virtual/perl-ExtUtils-ParseXS-3.180.0-r2 virtual/perl-IO-Zlib-1.100.0-r4 virtual/perl-ExtUtils-Command-1.170.0-r5 virtual/perl-Test-Simple-0.980.0-r5 perl-core/Scalar-List-Utils-1.270.0 dev-lang/python-exec-0.3.1-r1 virtual/perl-Module-Metadata-1.0.11-r1 perl-core/Compress-Raw-Zlib-2.60.0 perl-core/Parse-CPAN-Meta-1.440.400-r1 perl-core/Module-Metadata-1.0.11-r1 virtual/perl-Parse-CPAN-Meta-1.440.400-r1 virtual/perl-Test-Harness-3.260.0-r2 perl-core/CPAN-Meta-Requirements-2.122.0-r1 virtual/perl-Compress-Raw-Bzip2-2.60.0-r2 virtual/perl-JSON-PP-2.272.20-r1 app-shells/gentoo-bashcomp-20121024 perl-core/Digest-MD5-2.520.0-r1 virtual/perl-ExtUtils-Install-1.590.0-r1 virtual/perl-Module-CoreList-3.30.0 perl-core/CPAN-Meta-2.120.921-r1 perl-core/Module-Load-Conditional-0.540.0 perl-core/Sys-Syslog-0.320.0-r1 virtual/perl-IPC-Cmd-0.800.0-r1 virtual/perl-Module-Load-Conditional-0.540.0-r1 virtual/perl-CPAN-Meta-YAML-0.8.0-r2 virtual/perl-ExtUtils-CBuilder-0.280.210-r1 media-plugins/live-2012.01.07 virtual/perl-CPAN-Meta-2.120.921-r2 virtual/perl-CPAN-Meta-Requirements-2.122.0-r2 virtual/perl-Locale-Maketext-Simple-0.210.0-r4 perl-core/Archive-Tar-1.900.0-r1 app-shells/bash-completion-1.3-r2 kde-base/kde-l10n-4.14.0 sys-apps/miscfiles-1.5-r1 virtual/perl-version-0.990.200-r1 perl-core/File-Spec-3.400.0 perl-core/Module-Load-0.240.0 virtual/perl-Perl-OSType-1.3.0-r1 virtual/perl-File-Temp-0.230.0 perl-core/CPAN-Meta-YAML-0.8.0-r1 virtual/perl-Package-Constants-0.20.0-r4 dev-libs/libcdio-paranoia-0.90_p1-r1 perl-core/Module-Build-0.400.300-r1 perl-core/ExtUtils-ParseXS-3.180.0-r1 perl-core/Compress-Raw-Bzip2-2.60.0 sys-apps/calculate-i18n-2.2.31 perl-core/Params-Check-0.360.0-r1 kde-base/kdepim-l10n-4.14.0 perl-core/IO-Compress-2.60.0 virtual/perl-Archive-Tar-1.900.0-r2 perl-core/Test-Harness-3.260.0

>>> 'Selected' packages are slated for removal.
>>> 'Protected' and 'omitted' packages will not be removed.

Would you like to unmerge these packages? [Yes/No]
 
Old 09-11-2014, 02:26 AM   #3
yuriblohin
LQ Newbie
 
Registered: Feb 2012
Posts: 2

Rep: Reputation: Disabled
Cleaning perl packages is ok. From this list not ok - dev-libs/libcdio-paranoia
~ $ equery d dev-libs/libcdio-paranoia
* These packages depend on dev-libs/libcdio-paranoia:
app-emulation/emul-linux-x86-medialibs-20140508-r6 (abi_x86_32 ? >=dev-libs/libcdio-paranoia-0.90_p1-r1[abi_x86_32(-)])
gnome-base/gvfs-1.20.2 (cdda ? dev-libs/libcdio-paranoia)
media-video/ffmpeg-1.2.6-r1 (cdio ? >=dev-libs/libcdio-paranoia-0.90_p1-r1[abi_x86_32(-)?,abi_x86_64(-)?,abi_x86_x32(-)?,abi_mips_n32(-)?,abi_mips_n64(-)?,abi_mips_o32(-)?,abi_ppc_32(-)?,abi_ppc_64(-)?,abi_s390_32(-)?,abi_s390_64(-)?])

and may be not ok kde-related packages
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
mixing sata drives on same system; outcome? plisken Linux - Hardware 7 12-09-2012 06:52 AM
FreeMWare Project Outcome Invisivin Linux - Virtualization and Cloud 4 07-24-2012 08:20 PM
[SOLVED] cant emerge samba : Failed to emerge sys-libs/tdb-1.2.1 Adol Gentoo 2 03-09-2011 12:51 PM
KDE4 on an older machine - getting a bit worried bgeddy Slackware 6 09-20-2008 12:40 PM
python: can't open file 'emerge\bin\emerge.py' Virtuality Programming 5 01-30-2008 02:23 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Calculate

All times are GMT -5. The time now is 07:41 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration